## halaudiosink halaudiosink — Audio sink for sound device access via HAL |

## Synopsis

                        GstHalAudioSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBin
                         +----GstHalAudioSink

## Implemented Interfaces

GstHalAudioSink implements GstChildProxy.

## Properties

      "udi"                      gchar*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | halelements
author | Jürg Billeter <j@bitron.ch>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### GstHalAudioSink

    typedef struct _GstHalAudioSink GstHalAudioSink;

## Property Details

### The `"udi"` property

      "udi"                      gchar*                : Read / Write

Unique Device Id.

Default value: NULL